From 4c81d9ebf1776a6190e161eb2d5dbcc2f13493d8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Scha=CC=88fer?= <felix@fachschaften.org>
Date: Sat, 29 Jun 2013 17:04:40 +0300
Subject: Convert forms + templates to new syntax

--HG--
extra : source : 32d4124815eb3e8792f70b9a9c150454ae83a957
---
 app/views/boards/edit.html.erb                    |    2 +-
 app/views/boards/new.html.erb                     |    2 +-
 app/views/boards/show.html.erb                    |    2 +-
 app/views/custom_fields/edit.html.erb             |    2 +-
 app/views/custom_fields/new.html.erb              |    2 +-
 app/views/groups/_general.html.erb                |    2 +-
 app/views/groups/_memberships.html.erb            |    2 +-
 app/views/groups/_users.html.erb                  |    2 +-
 app/views/groups/new.html.erb                     |    2 +-
 app/views/issue_categories/edit.html.erb          |    2 +-
 app/views/issue_categories/new.html.erb           |    2 +-
 app/views/issues/_edit.erb                        |    2 +-
 app/views/issues/_relations.erb                   |    2 +-
 app/views/issues/new.html.erb                     |    2 +-
 app/views/members/_membership_assignment.html.erb |    2 +-
 app/views/messages/edit.html.erb                  |    2 +-
 app/views/messages/new.html.erb                   |    2 +-
 app/views/messages/show.html.erb                  |    2 +-
 app/views/my/account.html.erb                     |    2 +-
 app/views/news/edit.html.erb                      |    2 +-
 app/views/news/index.html.erb                     |    2 +-
 app/views/news/new.html.erb                       |    2 +-
 app/views/news/show.html.erb                      |    2 +-
 app/views/projects/_edit.erb                      |    2 +-
 app/views/projects/copy.html.erb                  |    2 +-
 app/views/projects/new.html.erb                   |    2 +-
 app/views/projects/settings/_activities.html.erb  |    2 +-
 app/views/projects/settings/_members.html.erb     |    4 ++--
 app/views/projects/settings/_modules.html.erb     |    2 +-
 app/views/projects/settings/_wiki.html.erb        |    2 +-
 app/views/roles/edit.html.erb                     |    2 +-
 app/views/roles/new.html.erb                      |    2 +-
 app/views/timelog/edit.html.erb                   |    2 +-
 app/views/trackers/edit.html.erb                  |    2 +-
 app/views/trackers/new.html.erb                   |    2 +-
 app/views/users/_general.erb                      |    2 +-
 app/views/users/_groups.erb                       |    2 +-
 app/views/users/_memberships.erb                  |    2 +-
 app/views/users/new.html.erb                      |    2 +-
 app/views/versions/edit.html.erb                  |    2 +-
 app/views/versions/new.html.erb                   |    2 +-
 app/views/watchers/_watchers.erb                  |    2 +-
 app/views/wiki/edit.html.erb                      |    2 +-
 app/views/wiki/rename.html.erb                    |    2 +-
 44 files changed, 45 insertions(+), 45 deletions(-)

diff --git a/app/views/boards/edit.html.erb b/app/views/boards/edit.html.erb
index e32bfa5..2ebad1d 100644
--- a/app/views/boards/edit.html.erb
+++ b/app/views/boards/edit.html.erb
@@ -1,6 +1,6 @@
 <h2><%= l(:label_board) %></h2>
 
-<% labelled_tabular_form_for @board, :url => {:action => 'edit', :id => @board} do |f| %>
+<%= labelled_tabular_form_for @board, :url => {:action => 'edit', :id => @board} do |f| %>
   <%= render :partial => 'form', :locals => {:f => f} %>
   <%= submit_tag l(:button_save) %>
 <% end %>
diff --git a/app/views/boards/new.html.erb b/app/views/boards/new.html.erb
index b036140..827b4c7 100644
--- a/app/views/boards/new.html.erb
+++ b/app/views/boards/new.html.erb
@@ -1,6 +1,6 @@
 <h2><%= l(:label_board_new) %></h2>
 
-<% labelled_tabular_form_for @board, :url => {:action => 'new'} do |f| %>
+<%= labelled_tabular_form_for @board, :url => {:action => 'new'} do |f| %>
   <%= render :partial => 'form', :locals => {:f => f} %>
   <%= submit_tag l(:button_create) %>
 <% end %>
diff --git a/app/views/boards/show.html.erb b/app/views/boards/show.html.erb
index 79d0c92..07f8eeb 100644
--- a/app/views/boards/show.html.erb
+++ b/app/views/boards/show.html.erb
@@ -11,7 +11,7 @@
 <div id="add-message" style="display:none;">
 <% if authorize_for('messages', 'new') %>
 <h2><%= link_to h(@board.name), :controller => 'boards', :action => 'show', :project_id => @project, :id => @board %> &#187; <%= l(:label_message_new) %></h2>
-<% form_for :message, @message, :url => {:controller => 'messages', :action => 'new', :board_id => @board}, :html => {:multipart => true, :id => 'message-form'} do |f| %>
+<%= form_for @message, :url => {:controller => 'messages', :action => 'new', :board_id => @board}, :html => {:multipart => true, :id => 'message-form'} do |f| %>
   <%= render :partial => 'messages/form', :locals => {:f => f} %>
   <p><%= submit_tag l(:button_create) %>
   <%= link_to_remote l(:label_preview),
diff --git a/app/views/custom_fields/edit.html.erb b/app/views/custom_fields/edit.html.erb
index 89a8951..8a2f02e 100644
--- a/app/views/custom_fields/edit.html.erb
+++ b/app/views/custom_fields/edit.html.erb
@@ -3,7 +3,7 @@
   &#187; <%=h @custom_field.name %></h2>
 
 <%# TODO: Might need an :as => :custom_field parameter %>
-<% labelled_tabular_form_for @custom_field, :url => { :action => "edit", :id => @custom_field } do |f| %>
+<%= labelled_tabular_form_for @custom_field, :url => { :action => "edit", :id => @custom_field } do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
 <% end %>
diff --git a/app/views/custom_fields/new.html.erb b/app/views/custom_fields/new.html.erb
index c03895b..2477276 100644
--- a/app/views/custom_fields/new.html.erb
+++ b/app/views/custom_fields/new.html.erb
@@ -3,7 +3,7 @@
   &#187; <%= l(:label_custom_field_new) %></h2>
 
 <%# TODO: Might need an :as => :custom_field parameter %>
-<% labelled_tabular_form_for @custom_field, :url => { :action => "new" } do |f| %>
+<%= labelled_tabular_form_for @custom_field, :url => { :action => "new" } do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= hidden_field_tag 'type', @custom_field.type %>
 <%= submit_tag l(:button_save) %>
diff --git a/app/views/groups/_general.html.erb b/app/views/groups/_general.html.erb
index 14caf53..cb56871 100644
--- a/app/views/groups/_general.html.erb
+++ b/app/views/groups/_general.html.erb
@@ -1,4 +1,4 @@
-<% labelled_tabular_form_for @group, :url => group_path(@group), :html => {:method => :put} do |f| %>
+<%= labelled_tabular_form_for @group, :url => group_path(@group), :html => {:method => :put} do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
 <% end %>
diff --git a/app/views/groups/_memberships.html.erb b/app/views/groups/_memberships.html.erb
index 7969d76..a9a3b63 100644
--- a/app/views/groups/_memberships.html.erb
+++ b/app/views/groups/_memberships.html.erb
@@ -16,7 +16,7 @@
 	<td class="project"><%=h membership.project %></td>
   <td class="roles">
     <span id="member-<%= membership.id %>-roles"><%=h membership.roles.sort.collect(&:to_s).join(', ') %></span>
-    <% remote_form_for(:membership, :url => { :action => 'edit_membership', :id => @group, :membership_id => membership },
+    <%= form_for(:membership, :remote => true, :url => { :action => 'edit_membership', :id => @group, :membership_id => membership },
       														  :html => { :id => "member-#{membership.id}-roles-form", :style => 'display:none;'}) do %>
       	<p><% roles.each do |role| %>
         <label><%= check_box_tag 'membership[role_ids][]', role.id, membership.roles.include?(role) %> <%=h role %></label><br />
diff --git a/app/views/groups/_users.html.erb b/app/views/groups/_users.html.erb
index 2fa91cb..501284b 100644
--- a/app/views/groups/_users.html.erb
+++ b/app/views/groups/_users.html.erb
@@ -26,7 +26,7 @@
 <div class="splitcontentright">
 <% users = User.active.not_in_group(@group).all(:limit => 100) %>
 <% if users.any? %>
-  <% remote_form_for(:group, @group, :url => {:controller => 'groups', :action => 'add_users', :id => @group}, :method => :post) do |f| %>
+  <%= form_for(@group, :remote => true, :url => {:controller => 'groups', :action => 'add_users', :id => @group}, :method => :post) do |f| %>
     <fieldset><legend><%=l(:label_user_new)%></legend>
 
 		<p><%= label_tag "user_search", l(:label_user_search) %><%= text_field_tag 'user_search', nil %></p>
diff --git a/app/views/groups/new.html.erb b/app/views/groups/new.html.erb
index 469fc9b..36c1efc 100644
--- a/app/views/groups/new.html.erb
+++ b/app/views/groups/new.html.erb
@@ -1,6 +1,6 @@
 <h2><%= link_to l(:label_group_plural), groups_path %> &#187; <%= l(:label_group_new) %></h2>
 
-<% form_for(@group, :builder => TabularFormBuilder, :lang => current_language) do |f| %>
+<%= form_for(@group, :builder => TabularFormBuilder, :lang => current_language) do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <p><%= f.submit l(:button_create) %></p>
 <% end %>
diff --git a/app/views/issue_categories/edit.html.erb b/app/views/issue_categories/edit.html.erb
index a71d74a..425d6c1 100644
--- a/app/views/issue_categories/edit.html.erb
+++ b/app/views/issue_categories/edit.html.erb
@@ -1,6 +1,6 @@
 <h2><%=l(:label_issue_category)%></h2>
 
-<% labelled_tabular_form_for @category, :url => { :action => 'edit', :id => @category } do |f| %>
+<%= labelled_tabular_form_for @category, :url => { :action => 'edit', :id => @category } do |f| %>
 <%= render :partial => 'issue_categories/form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
 <% end %>
diff --git a/app/views/issue_categories/new.html.erb b/app/views/issue_categories/new.html.erb
index 842f67a..452ba4f 100644
--- a/app/views/issue_categories/new.html.erb
+++ b/app/views/issue_categories/new.html.erb
@@ -1,6 +1,6 @@
 <h2><%=l(:label_issue_category_new)%></h2>
 
-<% labelled_tabular_form_for @category, :url => { :action => 'new' } do |f| %>
+<%= labelled_tabular_form_for @category, :url => { :action => 'new' } do |f| %>
 <%= render :partial => 'issue_categories/form', :locals => { :f => f } %>
 <%= submit_tag l(:button_create) %>
 <% end %>
diff --git a/app/views/issues/_edit.erb b/app/views/issues/_edit.erb
index c66ef78..10e50fc 100644
--- a/app/views/issues/_edit.erb
+++ b/app/views/issues/_edit.erb
@@ -1,4 +1,4 @@
-<% labelled_tabular_form_for @issue,
+<%= labelled_tabular_form_for @issue,
                              :url => {:action => 'update', :id => @issue},
                              :html => {:id => 'issue-form',
                                        :class => nil,
diff --git a/app/views/issues/_relations.erb b/app/views/issues/_relations.erb
index 362133d..82cd2be 100644
--- a/app/views/issues/_relations.erb
+++ b/app/views/issues/_relations.erb
@@ -24,7 +24,7 @@
 </table>
 <% end %>
 
-<% remote_form_for(:relation, @relation,
+<%= form_for(@relation, :remote => true,
                  :url => {:controller => 'issue_relations', :action => 'new', :issue_id => @issue},
                  :method => :post,
                  :complete => "Form.Element.focus('relation_issue_to_id');",
diff --git a/app/views/issues/new.html.erb b/app/views/issues/new.html.erb
index ba22566..f78143a 100644
--- a/app/views/issues/new.html.erb
+++ b/app/views/issues/new.html.erb
@@ -1,6 +1,6 @@
 <h2><%=l(:label_issue_new)%></h2>
 
-<% labelled_tabular_form_for @issue, :url => {:controller => 'issues', :action => 'create', :project_id => @project},
+<%= labelled_tabular_form_for @issue, :url => {:controller => 'issues', :action => 'create', :project_id => @project},
                              :html => {:multipart => true, :id => 'issue-form', :class => 'tabular new-issue-form'} do |f| %>
     <%= error_messages_for 'issue' %>
     <div class="box">
diff --git a/app/views/members/_membership_assignment.html.erb b/app/views/members/_membership_assignment.html.erb
index a22c43b..d6d44b4 100644
--- a/app/views/members/_membership_assignment.html.erb
+++ b/app/views/members/_membership_assignment.html.erb
@@ -1,6 +1,6 @@
 <% if projects.any? %>
 <fieldset><legend><%=l(:label_project_new)%></legend>
-<% remote_form_for(:membership, :url => { :action => 'edit_membership', :id => principal }) do %>
+<%= form_for(:membership, :remote => true, :url => { :action => 'edit_membership', :id => principal }) do %>
   <p><%= text_field_tag 'project_search', nil, :size => "40" %></p>
   <%= observe_field(:project_search,
                    :frequency => 0.5,
diff --git a/app/views/messages/edit.html.erb b/app/views/messages/edit.html.erb
index 1af4975..c4d246d 100644
--- a/app/views/messages/edit.html.erb
+++ b/app/views/messages/edit.html.erb
@@ -1,6 +1,6 @@
 <h2><%= link_to h(@board.name), :controller => 'boards', :action => 'show', :project_id => @project, :id => @board %> &#187; <%=h @message.subject %></h2>
 
-<% form_for :message, @message, :url => {:action => 'edit'}, :html => {:multipart => true, :id => 'message-form'} do |f| %>
+<%= form_for @message, :url => {:action => 'edit'}, :html => {:multipart => true, :id => 'message-form'} do |f| %>
   <%= render :partial => 'form', :locals => {:f => f, :replying => !@message.parent.nil?} %>
   <%= submit_tag l(:button_save) %>
   <%= link_to_remote l(:label_preview),
diff --git a/app/views/messages/new.html.erb b/app/views/messages/new.html.erb
index f41e270..f1dddb6 100644
--- a/app/views/messages/new.html.erb
+++ b/app/views/messages/new.html.erb
@@ -1,6 +1,6 @@
 <h2><%= link_to h(@board.name), :controller => 'boards', :action => 'show', :project_id => @project, :id => @board %> &#187; <%= l(:label_message_new) %></h2>
 
-<% form_for :message, @message, :url => {:action => 'new'}, :html => {:multipart => true, :id => 'message-form'} do |f| %>
+<%= form_for @message, :url => {:action => 'new'}, :html => {:multipart => true, :id => 'message-form'} do |f| %>
   <%= render :partial => 'form', :locals => {:f => f} %>
   <%= submit_tag l(:button_create) %>
   <%= link_to_remote l(:label_preview),
diff --git a/app/views/messages/show.html.erb b/app/views/messages/show.html.erb
index df5966b..1f1475b 100644
--- a/app/views/messages/show.html.erb
+++ b/app/views/messages/show.html.erb
@@ -44,7 +44,7 @@
 <% if !@topic.locked? && authorize_for('messages', 'reply') %>
 <p><%= toggle_link l(:button_reply), "reply", :focus => 'message_content' %></p>
 <div id="reply" style="display:none;">
-<% form_for :reply, @reply, :url => {:action => 'reply', :id => @topic}, :html => {:multipart => true, :id => 'message-form'} do |f| %>
+<%= form_for @reply, :url => {:action => 'reply', :id => @topic}, :html => {:multipart => true, :id => 'message-form'} do |f| %>
   <%= render :partial => 'form', :locals => {:f => f, :replying => true} %>
   <%= submit_tag l(:button_submit) %>
   <%= link_to_remote l(:label_preview),
diff --git a/app/views/my/account.html.erb b/app/views/my/account.html.erb
index 52092b8..3079191 100644
--- a/app/views/my/account.html.erb
+++ b/app/views/my/account.html.erb
@@ -5,7 +5,7 @@
 <h2><%=l(:label_my_account)%></h2>
 <%= error_messages_for 'user' %>
 
-<% form_for :user, @user, :url => { :action => "account" },
+<%= form_for @user, :url => { :action => "account" },
                           :builder => TabularFormBuilder,
                           :lang => current_language,
                           :html => { :id => 'my_account_form' } do |f| %>
diff --git a/app/views/news/edit.html.erb b/app/views/news/edit.html.erb
index 55cc6cb..4f72d43 100644
--- a/app/views/news/edit.html.erb
+++ b/app/views/news/edit.html.erb
@@ -1,6 +1,6 @@
 <h2><%=l(:label_news)%></h2>
 
-<% labelled_tabular_form_for @news, :url => news_path(@news),
+<%= labelled_tabular_form_for @news, :url => news_path(@news),
                                            :html => { :id => 'news-form', :method => :put } do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
diff --git a/app/views/news/index.html.erb b/app/views/news/index.html.erb
index e4174eb..6885689 100644
--- a/app/views/news/index.html.erb
+++ b/app/views/news/index.html.erb
@@ -7,7 +7,7 @@
 
 <div id="add-news" style="display:none;">
 <h2><%=l(:label_news_new)%></h2>
-<% labelled_tabular_form_for @news, :url => project_news_index_path(@project),
+<%= labelled_tabular_form_for @news, :url => project_news_index_path(@project),
                                            :html => { :id => 'news-form' } do |f| %>
 <%= render :partial => 'news/form', :locals => { :f => f } %>
 <%= submit_tag l(:button_create) %>
diff --git a/app/views/news/new.html.erb b/app/views/news/new.html.erb
index 0cfcd7a..54c0596 100644
--- a/app/views/news/new.html.erb
+++ b/app/views/news/new.html.erb
@@ -1,6 +1,6 @@
 <h2><%=l(:label_news_new)%></h2>
 
-<% labelled_tabular_form_for @news, :url => project_news_index_path(@project),
+<%= labelled_tabular_form_for @news, :url => project_news_index_path(@project),
                                            :html => { :id => 'news-form' } do |f| %>
 <%= render :partial => 'news/form', :locals => { :f => f } %>
 <%= submit_tag l(:button_create) %>
diff --git a/app/views/news/show.html.erb b/app/views/news/show.html.erb
index b21646d..b2d8700 100644
--- a/app/views/news/show.html.erb
+++ b/app/views/news/show.html.erb
@@ -16,7 +16,7 @@
 
 <% if authorize_for('news', 'edit') %>
 <div id="edit-news" style="display:none;">
-<% labelled_tabular_form_for @news, :url => news_path(@news),
+<%= labelled_tabular_form_for @news, :url => news_path(@news),
                                            :html => { :id => 'news-form', :method => :put } do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
diff --git a/app/views/projects/_edit.erb b/app/views/projects/_edit.erb
index a78831e..035be39 100644
--- a/app/views/projects/_edit.erb
+++ b/app/views/projects/_edit.erb
@@ -1,4 +1,4 @@
-<% labelled_tabular_form_for @project, :url => project_path(@project), :html => {:method => (@project.new_record? ? :post : :put) } do |f| %>
+<%= labelled_tabular_form_for @project, :url => project_path(@project), :html => {:method => (@project.new_record? ? :post : :put) } do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
 <% end %>
diff --git a/app/views/projects/copy.html.erb b/app/views/projects/copy.html.erb
index 0f55f21..71dd4c4 100644
--- a/app/views/projects/copy.html.erb
+++ b/app/views/projects/copy.html.erb
@@ -1,6 +1,6 @@
 <h2><%=l(:label_project_new)%></h2>
 
-<% labelled_tabular_form_for @project, :url => { :action => "copy" } do |f| %>
+<%= labelled_tabular_form_for @project, :url => { :action => "copy" } do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 
 <fieldset class="box"><legend><%= l(:button_copy) %></legend>
diff --git a/app/views/projects/new.html.erb b/app/views/projects/new.html.erb
index 3c0ad4f..c0edb1c 100644
--- a/app/views/projects/new.html.erb
+++ b/app/views/projects/new.html.erb
@@ -1,6 +1,6 @@
 <h2><%=l(:label_project_new)%></h2>
 
-<% labelled_tabular_form_for @project, :url => { :action => "create" } do |f| %>
+<%= labelled_tabular_form_for @project, :url => { :action => "create" } do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
 <%= javascript_tag "Form.Element.focus('project_name');" %>
diff --git a/app/views/projects/settings/_activities.html.erb b/app/views/projects/settings/_activities.html.erb
index 66be530..81efdea 100644
--- a/app/views/projects/settings/_activities.html.erb
+++ b/app/views/projects/settings/_activities.html.erb
@@ -1,4 +1,4 @@
-<% form_tag(project_project_enumerations_path(@project), :method => :put, :class => "tabular") do %>
+<%= form_tag(project_project_enumerations_path(@project), :method => :put, :class => "tabular") do %>
 
 <table class="list">
   <thead><tr>
diff --git a/app/views/projects/settings/_members.html.erb b/app/views/projects/settings/_members.html.erb
index caabceb..7d945ac 100644
--- a/app/views/projects/settings/_members.html.erb
+++ b/app/views/projects/settings/_members.html.erb
@@ -19,7 +19,7 @@
   <td class="roles">
     <span id="member-<%= member.id %>-roles"><%=h member.roles.sort.collect(&:to_s).join(', ') %></span>
     <% if authorize_for('members', 'edit') %>
-      <% remote_form_for(:member, member, :url => {:controller => 'members', :action => 'edit', :id => member},
+      <%= form_for(member, :remote => true, :url => {:controller => 'members', :action => 'edit', :id => member},
       																		:method => :post,
       																		:html => { :id => "member-#{member.id}-roles-form", :class => 'hol' }) do |f| %>
       	<p><% roles.each do |role| %>
@@ -55,7 +55,7 @@
 
 <div class="splitcontentright">
 <% if roles.any? && principals.any? %>
-  <% remote_form_for(:member, @member, :url => {:controller => 'members', :action => 'new', :id => @project}, :method => :post,
+  <%= form_for(@member, :remote => true, :url => {:controller => 'members', :action => 'new', :id => @project}, :method => :post,
 									   :loading => '$(\'member-add-submit\').disable();',
 									   :complete => 'if($(\'member-add-submit\')) $(\'member-add-submit\').enable();') do |f| %>
     <fieldset><legend><%=l(:label_member_new)%></legend>
diff --git a/app/views/projects/settings/_modules.html.erb b/app/views/projects/settings/_modules.html.erb
index d78f68d..90a59d6 100644
--- a/app/views/projects/settings/_modules.html.erb
+++ b/app/views/projects/settings/_modules.html.erb
@@ -1,4 +1,4 @@
-<% form_for :project, @project,
+<%= form_for @project,
             :url => { :action => 'modules', :id => @project },
             :html => {:id => 'modules-form'} do |f| %>
 
diff --git a/app/views/projects/settings/_wiki.html.erb b/app/views/projects/settings/_wiki.html.erb
index 00da930..a6fbab1 100644
--- a/app/views/projects/settings/_wiki.html.erb
+++ b/app/views/projects/settings/_wiki.html.erb
@@ -1,4 +1,4 @@
-<% remote_form_for :wiki, @wiki,
+<%= form_for @wiki, :remote => true,
                    :url => { :controller => 'wikis', :action => 'edit', :id => @project },
                    :builder => TabularFormBuilder,
                    :lang => current_language do |f| %>
diff --git a/app/views/roles/edit.html.erb b/app/views/roles/edit.html.erb
index e91884d..bb6bd52 100644
--- a/app/views/roles/edit.html.erb
+++ b/app/views/roles/edit.html.erb
@@ -1,6 +1,6 @@
 <h2><%= link_to l(:label_role_plural), :controller => 'roles', :action => 'index' %> &#187; <%=h @role.name %></h2>
 
-<% labelled_tabular_form_for @role, :url => { :action => 'edit' }, :html => {:id => 'role_form'} do |f| %>
+<%= labelled_tabular_form_for @role, :url => { :action => 'edit' }, :html => {:id => 'role_form'} do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
 <% end %>
diff --git a/app/views/roles/new.html.erb b/app/views/roles/new.html.erb
index 42d9022..5a7270e 100644
--- a/app/views/roles/new.html.erb
+++ b/app/views/roles/new.html.erb
@@ -1,6 +1,6 @@
 <h2><%= link_to l(:label_role_plural), :controller => 'roles', :action => 'index' %> &#187; <%=l(:label_role_new)%></h2>
 
-<% labelled_tabular_form_for @role, :url => { :action => 'new' }, :html => {:id => 'role_form'} do |f| %>
+<%= labelled_tabular_form_for @role, :url => { :action => 'new' }, :html => {:id => 'role_form'} do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_create) %>
 <% end %>
\ No newline at end of file
diff --git a/app/views/timelog/edit.html.erb b/app/views/timelog/edit.html.erb
index 03ba1c9..cf5537f 100644
--- a/app/views/timelog/edit.html.erb
+++ b/app/views/timelog/edit.html.erb
@@ -1,6 +1,6 @@
 <h2><%= l(:label_spent_time) %></h2>
 
-<% labelled_tabular_form_for(@time_entry, :url => {
+<%= labelled_tabular_form_for(@time_entry, :url => {
                                :action => (@time_entry.new_record? ? 'create' : 'update'),
                                :id => @time_entry,
                                :project_id => @time_entry.project
diff --git a/app/views/trackers/edit.html.erb b/app/views/trackers/edit.html.erb
index 135bafd..de8f2d6 100644
--- a/app/views/trackers/edit.html.erb
+++ b/app/views/trackers/edit.html.erb
@@ -1,5 +1,5 @@
 <h2><%= link_to l(:label_tracker_plural), :controller => 'trackers', :action => 'index' %> &#187; <%=h @tracker %></h2>
 
-<% form_for :tracker, @tracker, :url => { :action => 'edit' }, :builder => TabularFormBuilder do |f| %>
+<%= form_for @tracker, :url => { :action => 'edit' }, :builder => TabularFormBuilder do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <% end %>
diff --git a/app/views/trackers/new.html.erb b/app/views/trackers/new.html.erb
index db32471..0a9a5c4 100644
--- a/app/views/trackers/new.html.erb
+++ b/app/views/trackers/new.html.erb
@@ -1,5 +1,5 @@
 <h2><%= link_to l(:label_tracker_plural), :controller => 'trackers', :action => 'index' %> &#187; <%=l(:label_tracker_new)%></h2>
 
-<% form_for :tracker, @tracker, :url => { :action => 'new' }, :builder => TabularFormBuilder do |f| %>
+<%= form_for @tracker, :url => { :action => 'new' }, :builder => TabularFormBuilder do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <% end %>
diff --git a/app/views/users/_general.erb b/app/views/users/_general.erb
index 94699b7..cb29d08 100644
--- a/app/views/users/_general.erb
+++ b/app/views/users/_general.erb
@@ -1,4 +1,4 @@
-<% labelled_tabular_form_for @user, :url => { :controller => 'users', :action => "update", :tab => nil }, :html => { :method => :put, :class => nil } do |f| %>
+<%= labelled_tabular_form_for @user, :url => { :controller => 'users', :action => "update", :tab => nil }, :html => { :method => :put, :class => nil } do |f| %>
 	<%= render :partial => 'form', :locals => { :f => f } %>
 	<% if @user.active? -%>
 		<p><label><%= check_box_tag 'send_information', 1, true %> <%= l(:label_send_information) %></label></p>
diff --git a/app/views/users/_groups.erb b/app/views/users/_groups.erb
index 0ab2f11..e24296e 100644
--- a/app/views/users/_groups.erb
+++ b/app/views/users/_groups.erb
@@ -1,4 +1,4 @@
-<% form_for(:user, :url => { :action => 'update' }, :html => {:method => :put}) do %>
+<%= form_for(:user, :url => { :action => 'update' }, :html => {:method => :put}) do %>
 <div class="box">
 <% Group.all.sort.each do |group| %>
 <label><%= check_box_tag 'user[group_ids][]', group.id, @user.groups.include?(group) %> <%=h group %></label><br />
diff --git a/app/views/users/_memberships.erb b/app/views/users/_memberships.erb
index 46ac894..a06fae0 100644
--- a/app/views/users/_memberships.erb
+++ b/app/views/users/_memberships.erb
@@ -19,7 +19,7 @@
   </td>
   <td class="roles">
     <span id="member-<%= membership.id %>-roles"><%=h membership.roles.sort.collect(&:to_s).join(', ') %></span>
-    <% remote_form_for(:membership, :url => { :action => 'edit_membership', :id => @user, :membership_id => membership },
+    <%= form_for(:membership, :remote => true, :url => { :action => 'edit_membership', :id => @user, :membership_id => membership },
       														  :html => { :id => "member-#{membership.id}-roles-form", :style => 'display:none;'}) do %>
       	<p><% roles.each do |role| %>
         <label><%= check_box_tag 'membership[role_ids][]', role.id, membership.roles.include?(role),
diff --git a/app/views/users/new.html.erb b/app/views/users/new.html.erb
index bd02be8..2a12326 100644
--- a/app/views/users/new.html.erb
+++ b/app/views/users/new.html.erb
@@ -1,6 +1,6 @@
 <h2><%= link_to l(:label_user_plural), :controller => 'users', :action => 'index' %> &#187; <%=l(:label_user_new)%></h2>
 
-<% labelled_tabular_form_for @user, :url => { :action => "create" }, :html => { :class => nil } do |f| %>
+<%= labelled_tabular_form_for @user, :url => { :action => "create" }, :html => { :class => nil } do |f| %>
 	<%= render :partial => 'form', :locals => { :f => f } %>
 	<p><label><%= check_box_tag 'send_information', 1, true %> <%= l(:label_send_information) %></label></p>
 	<p>
diff --git a/app/views/versions/edit.html.erb b/app/views/versions/edit.html.erb
index 0e54107..18d852d 100644
--- a/app/views/versions/edit.html.erb
+++ b/app/views/versions/edit.html.erb
@@ -1,6 +1,6 @@
 <h2><%=l(:label_version)%></h2>
 
-<% labelled_tabular_form_for @version, :url => project_version_path(@project, @version), :html => {:method => :put} do |f| %>
+<%= labelled_tabular_form_for @version, :url => project_version_path(@project, @version), :html => {:method => :put} do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
 <% end %>
diff --git a/app/views/versions/new.html.erb b/app/views/versions/new.html.erb
index e141a11..f09233e 100644
--- a/app/views/versions/new.html.erb
+++ b/app/views/versions/new.html.erb
@@ -1,6 +1,6 @@
 <h2><%=l(:label_version_new)%></h2>
 
-<% labelled_tabular_form_for @version, :url => project_versions_path(@project) do |f| %>
+<%= labelled_tabular_form_for @version, :url => project_versions_path(@project) do |f| %>
 <%= render :partial => 'versions/form', :locals => { :f => f } %>
 <%= submit_tag l(:button_create) %>
 <% end %>
diff --git a/app/views/watchers/_watchers.erb b/app/views/watchers/_watchers.erb
index e6aba3e..45dd6ae 100644
--- a/app/views/watchers/_watchers.erb
+++ b/app/views/watchers/_watchers.erb
@@ -5,7 +5,7 @@
 <h3><%= l(:label_issue_watchers) %> (<%= watched.watcher_users.size %>)</h3>
 
 <% if User.current.allowed_to?("add_#{watched.class.name.underscore}_watchers".to_sym, @project) %>
-	<% remote_form_for(:watcher, @watcher,
+	<%= form_for(@watcher, :remote => true,
                 	   :url => {:controller => 'watchers',
               	              :action => 'new',
             	                :object_type => watched.class.name.underscore,
diff --git a/app/views/wiki/edit.html.erb b/app/views/wiki/edit.html.erb
index d858dcf..1d13046 100644
--- a/app/views/wiki/edit.html.erb
+++ b/app/views/wiki/edit.html.erb
@@ -1,6 +1,6 @@
 <h2><%=h @page.pretty_title %></h2>
 
-<% form_for :content, @content, :url => {:action => 'update', :id => @page.title}, :html => {:method => :put, :multipart => true, :id => 'wiki_form'} do |f| %>
+<%= form_for @content, :url => {:action => 'update', :id => @page.title}, :html => {:method => :put, :multipart => true, :id => 'wiki_form'} do |f| %>
 <%= f.hidden_field :lock_version %>
 <%= error_messages_for 'content' %>
 
diff --git a/app/views/wiki/rename.html.erb b/app/views/wiki/rename.html.erb
index 35c2393..3725057 100644
--- a/app/views/wiki/rename.html.erb
+++ b/app/views/wiki/rename.html.erb
@@ -3,7 +3,7 @@
 <%= error_messages_for 'page' %>
 
 <%# TODO: Might need an :as => :wiki_page parameter %>
-<% labelled_tabular_form_for @page, :url => { :action => 'rename' } do |f| %>
+<%= labelled_tabular_form_for @page, :url => { :action => 'rename' } do |f| %>
 <div class="box">
 <p><%= f.text_field :title, :required => true, :size => 100  %></p>
 <p><%= f.check_box :redirect_existing_links %></p>
-- 
1.7.1


